# eric7.Project.NewPythonPackageDialog

Module implementing a dialog to add a new Python package.

### Global Attributes

None

### Classes

NewPythonPackageDialog | Class implementing a dialog to add a new Python package.

### Functions

None

## NewPythonPackageDialog

Class implementing a dialog to add a new Python package.

### Derived from

QDialog, Ui_NewPythonPackageDialog

### Class Attributes

None

### Class Methods

None

### Methods

NewPythonPackageDialog | Constructor
getData | Public method to retrieve the data entered into the dialog.
on_packageEdit_textChanged | Private slot called, when the package name is changed.

### Static Methods

None

#### NewPythonPackageDialog (Constructor)

NewPythonPackageDialog(relPath, parent=None)

Constructor

relPath
  initial package path relative to the project root (string)
parent
  reference to the parent widget (QWidget)

#### NewPythonPackageDialog.getData

getData()

Public method to retrieve the data entered into the dialog.

Return:
  package name (string)

#### NewPythonPackageDialog.on_packageEdit_textChanged

on_packageEdit_textChanged(txt)

Private slot called, when the package name is changed.

txt
  new text of the package name edit (string)

Up